--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")

local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}


local function InkedWells()
	if Inked.db.profile.UseActionBars == false then return end
	local LeftEndCap = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	local RightEndCap = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	
	LeftEndCap:SetHeight(256)
	LeftEndCap:SetWidth(512)
	LeftEndCap:ClearAllPoints()
	LeftEndCap:SetPoint("BOTTOM", UIParent,-598,50)
	LeftEndCap:SetScale(0.49)
	LeftEndCap:SetFrameStrata("BACKGROUND")
	
	local LeftECBG = LeftEndCap:CreateTexture(nil, "BACKGROUND")
	LeftECBG:SetAllPoints()
	LeftECBG:SetVertexColor(InkedColors.r, InkedColors.g, InkedColors.b, InkedColors.a)
	if Inked.db.profile.InkBottleLeft == true then
		LeftECBG:SetTexture("Interface\\Addons\\Inked\\Graphics\\InkWells\\InkWell_Left")
	elseif Inked.db.profile.InkBottleLeft == false then
		LeftECBG:SetTexture("")
	end


	RightEndCap:SetHeight(256)
	RightEndCap:SetWidth(512)
	RightEndCap:ClearAllPoints()
	RightEndCap:SetPoint("BOTTOM", UIParent,598,50)
	RightEndCap:SetScale(0.49)
	RightEndCap:SetFrameStrata("BACKGROUND")
	
	local RightECBG = RightEndCap:CreateTexture(nil, "BACKGROUND")
	RightECBG:SetAllPoints()
	RightECBG:SetVertexColor(InkedColors.r, InkedColors.g, InkedColors.b, InkedColors.a)
	if Inked.db.profile.InkBottleRight == true then
		RightECBG:SetTexture("Interface\\Addons\\Inked\\Graphics\\InkWells\\InkWell_Right")
	elseif Inked.db.profile.InkBottleRight == true then
		RightECBG:SetTexture("")
	end
		
end	
		local InkedLoginFrame=CreateFrame("Frame") -- Create the Frame
	InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")--Register the Player Login event
	InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
	InkedLoginFrame:SetScript("OnEvent", function(self, event) -- create the event script

			InkedWells()

		end)--